Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 28-02-2022 15:03:30

Van
Membre
Inscription : 28-02-2022

problème d'installation des paquets php8.1 sur debian

Salut !!
J'utilise le système parrot os et j'ai recemment voulu faire passer mon php8.0.1 au php8.1 pour des besoins de développement.
Cepandant après avoir suivi les instructions recus dans les tutos en ligne , je tombe a chaque fois sur la même erreur qui se résume comme suit :

sudo apt install php8.1-common php8.1-cli -y
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait     
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
php8.1-cli : Dépend: libpcre2-8-0 (>= 10.38) mais 10.36-2 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Merci de me proposer des solutions pour corriger ce problème ..

Hors ligne

#2 28-02-2022 16:03:20

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : problème d'installation des paquets php8.1 sur debian

Bonjour

Cepandant après avoir suivi les instructions recus dans les tutos en ligne , je tombe a chaque fois sur la même erreur qui se résume comme suit :


C'est à dire ? Tu peux détailler ce que tu as fait exactement ?

Tu peux aussi jeter un oeil https://debian-facile.org/atelier:chant … ons-de-php

Dernière modification par cyrille (28-02-2022 16:04:34)


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#3 28-02-2022 16:31:43

Van
Membre
Inscription : 28-02-2022

Re : problème d'installation des paquets php8.1 sur debian

J'ai inclus le lien ci dessous dans mon fichier /etc/apt/sources.list.d/php.list :
deb https://packages.sury.org/php/ bullseye main

Grace a cette manipulation j'ai pu installer certains paquets de php8.1 mais je rencontre l'erreur que j'ai enuméré au niveau du paquet php8.1-cli et du libapache2-mod-php8.1

Hors ligne

#4 28-02-2022 16:44:44

Van
Membre
Inscription : 28-02-2022

Re : problème d'installation des paquets php8.1 sur debian

J'ai parcouru votre lien et les étapes qui y sont stipulés ont les mêmes effets que celui des tutos que j'ai eu à suivre.
Le problème reste le même..

Hors ligne

#5 28-02-2022 17:22:30

jce76350
Membre
Lieu : Rouen
Distrib. : Debian_Bullseye 11.3
Noyau : 5.10.0-13-amd64
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : problème d'installation des paquets php8.1 sur debian

si tu veux installer PHP8.1 avec le dépôt de Ondřej Surý j'ai fais un tuto avec PHP 8.0.x il suffit de remplacer 8.0 par 8.1 wink
et regarde aussi la page Installer 2 versions de PHP 8.0.x et 8.1.x avec Debian 11  PHP en mode fpm

Dernière modification par jce76350 (28-02-2022 17:26:09)


--
Jc E

Hors ligne

#6 03-03-2022 00:08:22

Van
Membre
Inscription : 28-02-2022

Re : problème d'installation des paquets php8.1 sur debian

okay merci à vous

Hors ligne

Pied de page des forums